**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# Howto Prestashop

## Prérequis

* PHP 5.2 ou plus.
* php.ini:

~~~
allow_url_fopen on
register_globals off
magic_quotes_* off
safe_mode off
upload_max_filesize > "16M" ou plus.
~~~

Extensions PHP utiles : PDO_MySQL, cURL, SimpleXML, mcrypt, GD, OpenSSL, DOM, SOAP.

* MySQL 5.0 ou plus

Les + :

* Serveur web Apache 1.3 ou plus, ou serveur nginx.
* apache

~~~
mod_rewrite, mod_security, mod_auth_basic
~~~

## Installation

Télécharger la dernière version _stable_ de prestashop par archive ou par dépôt git.

Selon la version, peut avoir un problème dans le fichier `config/autoload.php` : commenter la ligne qui gène si optionnel.

* Utiliser la ligne de commande pour installer prestashop:

~~~
php './install-dev/index_cli.php' --language=fr --timezone='localhost' --base_uri='/' --domain='{{ host }}' \
--db_server='{{ db_host }}' --db_user='{{ db_user }}' --db_password='{{ db_pwd }}' --db_name='{{ db_name }}' \
--db_clear=0 --db_create=0 --name='{{ site_title }}' --firstname='{{ firstname }}' --lastname='{{ lastname }}' \
--password='{{ admin_pwd }}' --email='{{ admin_email }}' --newsletter=0
~~~

* supprimer le repertoire `install-dev`
* S'assurer des droits pour le groupe <user> afin que l'instance du serveur web lancé en tant que www-<user> puisse écrire dans les répertoires.

~~~
$ chmod -R g+w config/ cache/ log/ img/ mails/ modules/ themes/ translations/ upload/ download/
~~~

* Après installation :

~~~
$ mv admin/ admin$RANDOM/
~~~

## Optimisation

Utiliser [Memcached](HowtoMemcached)

## Modules

### Soucis connu avec gamification

Le module gamification fait appel à une ip externe, qui, si ne répond pas, empêche une connexion à l'interface admin (la connexion sera très lente, voir impossible).
Le mieux est de désactiver le module (temporairement du moins) en renommant le répertoire du module:

~~~{.bash}
$ mv ~/www/modules/gamification{,.old}
~~~